version: '2'

volumes:
  db_data:
    driver_opts:
      onRemove: retain
    driver: rancher-nfs

services:

  mysql:
    image: aureliopenha/moodle-db_treinamento:1.0
    container_name: mysql
    dns: ${DNS}
    labels:
      io.rancher.scheduler.affinity:host_label: app=true
    environment:
      - APP_MYSQL_DATABASE=moodle
      - MYSQL_ROOT_PASSWORD=${db_password}
      - APP_DATABASE_USER=moodleApp
      - APP_DATABASE_PASSWORD=${db_password}
    volumes:
      - db_data:/var/lib/mysql
      - ${BD_CAMINHO}:/tmp/banco/
    restart: always

  http:
    image: aureliopenha/moodle-app_treinamento:1.0
    labels:
      io.rancher.scheduler.affinity:host_label: app=true
    container_name: httpd
    dns: ${DNS}
    restart: always
    volumes:
      - ${FILES_CAMINHO}:/mnt/moodledata/
    environment:
      - APP_HOST_URL=http://${domain_app}
      - APP_DB_HOST=${APP_DB_HOST}
      - APP_MYSQL_DATABASE=moodle
      - MYSQL_ROOT_PASSWORD=${db_password}
      - APP_DATABASE_USER=moodleApp
      - APP_DATABASE_PASSWORD=${db_password}
    links:
      - mysql:mysql
